Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.expr
Class Union

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xpath.expr.Expr
              org.basex.query.xpath.expr.Arr
                  org.basex.query.xpath.expr.Union

    public final class Union

extends Arr

Union Expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Tim Petrowsky

Field Summary

Fields inherited from class org.basex.query.xpath.expr.Arr
`expr`

Constructor Summary
`Union(Expr[] e)` Constructor.

Method Summary
`Nod` | `eval(XPContext ctx)` Evaluates the expression with the specified context set.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xpath.expr.Arr
`comp, plan, sameAs, usesPos, usesSize`

Methods inherited from class org.basex.query.xpath.expr.Expr
`indexEquivalent, indexSizes, returnedValue`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Union

    public Union(Expr[] e)

  Constructor.

  Parameters:
    `e` - operands joined with the union operator

Method Detail

### eval

    public Nod eval(XPContext ctx)
             throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression with the specified context set. Additionally provides a context

  Specified by:
    `eval` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting XPathValue
  Throws:
    `QueryException` - evaluation exception

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD